#ifndef SWstring_class
#define SWstring_class


#include "assert.h"

class SWstring{

public:
	SWstring ( void );
	SWstring ( int StartSize );
	SWstring ( const char* Text);
	//SWstring	SWstring::operator + (const SWstring& s2) const;

	SWstring&	concat(SWstring &s2);
	SWstring&	concat(const char* a);
	
	void	clear( void);

	char*	_s;
	int		_curused;
	int		_cursize;


private:
		const	static int _standardsize = 512;

		void	resize(int size);


};

#endif

