using System;
using System.Net;
using MT.Network;
using GraphController;

namespace MTClient
{
	/// <summary>
	/// Zusammenfassung fr clsFPnetSink.
	/// </summary>
	public class clsFPnetSink: clsNetSemiAutoClient, IFPsink
	{


		public clsFPnetSink(): base(Dns.GetHostName().ToString())
		{
			base.Connect();
		}




		#region IFPsink Member

		void IFPsink.Send(MT.DataStructures.FeaturePointFrame FPframe)
		{
			//Send FP Frame to the server
			try
			{
				base.Send(new clsNetFeaturePointFrame(base._conID,FPframe));
			}
			catch 
			{	
				Console.WriteLine("Could not send Frame {0} to Server",FPframe.fid);
			}

		}

		#endregion


	}
}
