using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using GraphController;
using System.Threading;

namespace MTClient
{
	/// <summary>
	/// Zusammenfassung fr Form1.
	/// </summary>
	public class frmClient : System.Windows.Forms.Form
	{
		protected FilterGraphController _filterGraphController;

		protected clsClientController		_MTClient;

		protected System.Windows.Forms.TabControl tbcVideo;
		protected System.Windows.Forms.TabPage tabVideo;
		private System.Windows.Forms.TabPage tabTracker;
		protected System.Windows.Forms.TabPage tabCapturing;
		private System.Windows.Forms.TabPage tabCalibration;
		private System.Windows.Forms.StatusBar stbMain;
		private MTClient.uscTracker uTracker;
		private System.Windows.Forms.StatusBarPanel stpFilterServer;
		private System.Windows.Forms.StatusBarPanel stpFrameRate;
		private System.Windows.Forms.StatusBarPanel stpResolution;
		private System.Windows.Forms.StatusBarPanel stpFPS;
		private System.Windows.Forms.StatusBarPanel stpClient;
		private MTClient.uscCalibration uscCalibration1;
		protected System.ComponentModel.IContainer components;

		public frmClient()
		{
			//
			// Erforderlich fr die Windows Form-Designeruntersttzung
			//
			InitializeComponent();

			//
			// TODO: Fgen Sie den Konstruktorcode nach dem Aufruf von InitializeComponent hinzu
			//
		}

		/// <summary>
		/// Die verwendeten Ressourcen bereinigen.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Vom Windows Form-Designer generierter Code
		/// <summary>
		/// Erforderliche Methode fr die Designeruntersttzung. 
		/// Der Inhalt der Methode darf nicht mit dem Code-Editor gendert werden.
		/// </summary>
		private void InitializeComponent()
		{
			this.tbcVideo = new System.Windows.Forms.TabControl();
			this.tabVideo = new System.Windows.Forms.TabPage();
			this.tabCalibration = new System.Windows.Forms.TabPage();
			this.uscCalibration1 = new MTClient.uscCalibration();
			this.tabTracker = new System.Windows.Forms.TabPage();
			this.uTracker = new MTClient.uscTracker();
			this.tabCapturing = new System.Windows.Forms.TabPage();
			this.stbMain = new System.Windows.Forms.StatusBar();
			this.stpFilterServer = new System.Windows.Forms.StatusBarPanel();
			this.stpClient = new System.Windows.Forms.StatusBarPanel();
			this.stpFrameRate = new System.Windows.Forms.StatusBarPanel();
			this.stpResolution = new System.Windows.Forms.StatusBarPanel();
			this.stpFPS = new System.Windows.Forms.StatusBarPanel();
			this.tbcVideo.SuspendLayout();
			this.tabCalibration.SuspendLayout();
			this.tabTracker.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.stpFilterServer)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.stpClient)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.stpFrameRate)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.stpResolution)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.stpFPS)).BeginInit();
			this.SuspendLayout();
			// 
			// tbcVideo
			// 
			this.tbcVideo.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
				| System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.tbcVideo.Controls.Add(this.tabVideo);
			this.tbcVideo.Controls.Add(this.tabCalibration);
			this.tbcVideo.Controls.Add(this.tabTracker);
			this.tbcVideo.Controls.Add(this.tabCapturing);
			this.tbcVideo.Location = new System.Drawing.Point(8, 8);
			this.tbcVideo.Name = "tbcVideo";
			this.tbcVideo.SelectedIndex = 0;
			this.tbcVideo.Size = new System.Drawing.Size(912, 570);
			this.tbcVideo.TabIndex = 0;
			// 
			// tabVideo
			// 
			this.tabVideo.Location = new System.Drawing.Point(4, 22);
			this.tabVideo.Name = "tabVideo";
			this.tabVideo.Size = new System.Drawing.Size(904, 544);
			this.tabVideo.TabIndex = 0;
			this.tabVideo.Text = "Video";
			// 
			// tabCalibration
			// 
			this.tabCalibration.Controls.Add(this.uscCalibration1);
			this.tabCalibration.Location = new System.Drawing.Point(4, 22);
			this.tabCalibration.Name = "tabCalibration";
			this.tabCalibration.Size = new System.Drawing.Size(904, 544);
			this.tabCalibration.TabIndex = 4;
			this.tabCalibration.Text = "Calibration";
			// 
			// uscCalibration1
			// 
			this.uscCalibration1.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
				| System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.uscCalibration1.Location = new System.Drawing.Point(8, 8);
			this.uscCalibration1.Name = "uscCalibration1";
			this.uscCalibration1.Size = new System.Drawing.Size(888, 528);
			this.uscCalibration1.TabIndex = 0;
			// 
			// tabTracker
			// 
			this.tabTracker.Controls.Add(this.uTracker);
			this.tabTracker.Location = new System.Drawing.Point(4, 22);
			this.tabTracker.Name = "tabTracker";
			this.tabTracker.Size = new System.Drawing.Size(904, 544);
			this.tabTracker.TabIndex = 1;
			this.tabTracker.Text = "Tracker";
			// 
			// uTracker
			// 
			this.uTracker.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
				| System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.uTracker.Location = new System.Drawing.Point(8, 8);
			this.uTracker.Name = "uTracker";
			this.uTracker.Size = new System.Drawing.Size(888, 528);
			this.uTracker.TabIndex = 0;
			// 
			// tabCapturing
			// 
			this.tabCapturing.Location = new System.Drawing.Point(4, 22);
			this.tabCapturing.Name = "tabCapturing";
			this.tabCapturing.Size = new System.Drawing.Size(904, 544);
			this.tabCapturing.TabIndex = 3;
			this.tabCapturing.Text = "Capturing";
			// 
			// stbMain
			// 
			this.stbMain.Location = new System.Drawing.Point(0, 607);
			this.stbMain.Name = "stbMain";
			this.stbMain.Panels.AddRange(new System.Windows.Forms.StatusBarPanel[] {
																					   this.stpFilterServer,
																					   this.stpClient,
																					   this.stpFrameRate,
																					   this.stpResolution,
																					   this.stpFPS});
			this.stbMain.ShowPanels = true;
			this.stbMain.Size = new System.Drawing.Size(944, 16);
			this.stbMain.TabIndex = 1;
			// 
			// stpFilterServer
			// 
			this.stpFilterServer.Text = "Filter: Nicht verbunden";
			this.stpFilterServer.Width = 120;
			// 
			// stpClient
			// 
			this.stpClient.Text = "Client: Nicht verbunden";
			this.stpClient.Width = 125;
			// 
			// stpFrameRate
			// 
			this.stpFrameRate.Text = "Frame Rate: 30fps";
			this.stpFrameRate.Width = 120;
			// 
			// stpResolution
			// 
			this.stpResolution.Text = "Auflsung: 640 x 480";
			this.stpResolution.Width = 120;
			// 
			// stpFPS
			// 
			this.stpFPS.Text = "Frames per Second: 30";
			this.stpFPS.Width = 120;
			// 
			// frmClient
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(944, 623);
			this.Controls.Add(this.stbMain);
			this.Controls.Add(this.tbcVideo);
			this.MinimumSize = new System.Drawing.Size(950, 650);
			this.Name = "frmClient";
			this.Text = "MTClient";
			this.Closed += new System.EventHandler(this.frmClient_Closed);
			this.tbcVideo.ResumeLayout(false);
			this.tabCalibration.ResumeLayout(false);
			this.tabTracker.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.stpFilterServer)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.stpClient)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.stpFrameRate)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.stpResolution)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.stpFPS)).EndInit();
			this.ResumeLayout(false);

		}
		#endregion

	
		

		public virtual void Initialize(clsClientController ClientController)
		{
			//Initialize Class Variables
			_MTClient = ClientController;
			_filterGraphController = _MTClient.FilterGraphController;

			//Connect Events to Eventhandlers
			_MTClient.FilterServer.NewConnectionState += new MTClient.NewConnectionStateDelegate(NewFilterServerConnectionState);
			
			// Implement FPS view for tracker
			_MTClient.Tracker.RefreshFPS +=new MTClient.clsTracker.RefreshFPSDelegate(FPS); 

			//Set current ConnectionState & connect event
			NewNetworkConnectionState(_MTClient.NetClient.ConnectionState);
			_MTClient.NetClient.NewConnectionState +=new NewConnectionStateDelegate(NewNetworkConnectionState);

			//Initialize Usercontrols
			uTracker.Initialize(_MTClient.Tracker);
			uscCalibration1.Initalize(_MTClient.FilterGraphController,_MTClient.Tracker, _MTClient.Calibration);
			_MTClient.InvokeControl = this;


		}

//		public virtual void VideoClient_KeyDown(object sender, System.Windows.Forms.KeyEventArgs e)
//		{
//			MessageBox.Show("TEST KEY");		
//		}

		private void NewFilterServerConnectionState(string message)
		{
			stpFilterServer.Text = message;
		}

		private void NewNetworkConnectionState(string message)
		{
			stpClient.Text = message;
		}

		public void FrameRate(string message)
		{
			stpFrameRate.Text = message;
		}

		protected void Resolution(string message)
		{
			stpResolution.Text = message;
		}

		protected void FPS(int fps)
		{
			stpFPS.Text = "FPS : " + fps.ToString();
		}

		private void frmClient_Closed(object sender, System.EventArgs e)
		{
			_MTClient.Shutdown();
		}

	}
}
//				this.uscVideo4.Dispose();
//				this.uscVideo4	= new MTClient.uscDVVideo();

//				this.tabVideo.Controls.Add(this.uscVideo4);
//				this.uscVideo4.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
//					| System.Windows.Forms.AnchorStyles.Left) 
//					| System.Windows.Forms.AnchorStyles.Right)));
//				this.uscVideo4.Location = new System.Drawing.Point(0, 0);
//				this.uscVideo4.Name = "uscVideo4";
//				this.uscVideo4.Size = new System.Drawing.Size(816, 488);
//				this.uscVideo4.TabIndex = 0;

//				this.uscCapture3.Dispose();
//				this.uscCapture3 = new MTClient.uscDVCapture();

//				this.tabCapturing.Controls.Add(this.uscCapture3);
//				this.uscCapture3.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
//					| System.Windows.Forms.AnchorStyles.Left) 
//					| System.Windows.Forms.AnchorStyles.Right)));
//				this.uscCapture3.Location = new System.Drawing.Point(0, 0);
//				this.uscCapture3.Name = "uscCapture3";
//				this.uscCapture3.Size = new System.Drawing.Size(816, 536);
//				this.uscCapture3.TabIndex = 0;
