using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using GraphController;
using System.Threading;

namespace MTClient
{
	/// <summary>
	/// Zusammenfassung fr Form1.
	/// </summary>
	public class frmDVClient : MTClient.frmClient
	{
		private MTClient.uscDVVideo uscVideo4;
		private MTClient.uscDVCapture uscCapture3;



		public frmDVClient()
		{
			//
			// Erforderlich fr die Windows Form-Designeruntersttzung
			//
			InitializeComponent();

			//
			// TODO: Fgen Sie den Konstruktorcode nach dem Aufruf von InitializeComponent hinzu
			//
		}

		/// <summary>
		/// Die verwendeten Ressourcen bereinigen.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}


		#region Vom Windows Form-Designer generierter Code
		/// <summary>
		/// Erforderliche Methode fr die Designeruntersttzung. 
		/// Der Inhalt der Methode darf nicht mit dem Code-Editor gendert werden.
		/// </summary>
		private void InitializeComponent()
		{
			this.uscVideo4 = new MTClient.uscDVVideo();
			this.uscCapture3 = new MTClient.uscDVCapture();
			this.tbcVideo.SuspendLayout();
			this.tabVideo.SuspendLayout();
			this.tabCapturing.SuspendLayout();
			this.SuspendLayout();
			// 
			// tbcVideo
			// 
			this.tbcVideo.Name = "tbcVideo";
			this.tbcVideo.Size = new System.Drawing.Size(918, 594);
			this.tbcVideo.SelectedIndexChanged += new System.EventHandler(this.tbcVideo_SelectedIndexChanged);
			// 
			// tabVideo
			// 
			this.tabVideo.Controls.Add(this.uscVideo4);
			this.tabVideo.Name = "tabVideo";
			this.tabVideo.Size = new System.Drawing.Size(910, 568);
			// 
			// tabCapturing
			// 
			this.tabCapturing.Controls.Add(this.uscCapture3);
			this.tabCapturing.Name = "tabCapturing";
			this.tabCapturing.Size = new System.Drawing.Size(910, 568);
			// 
			// uscVideo4
			// 
			this.uscVideo4.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
				| System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.uscVideo4.Location = new System.Drawing.Point(8, 8);
			this.uscVideo4.Name = "uscVideo4";
			this.uscVideo4.Size = new System.Drawing.Size(896, 552);
			this.uscVideo4.TabIndex = 0;
			// 
			// uscCapture3
			// 
			this.uscCapture3.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
				| System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.uscCapture3.Location = new System.Drawing.Point(8, 8);
			this.uscCapture3.Name = "uscCapture3";
			this.uscCapture3.Size = new System.Drawing.Size(896, 552);
			this.uscCapture3.TabIndex = 0;
			// 
			// frmDVClient
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(942, 623);
			this.Name = "frmDVClient";
			this.tbcVideo.ResumeLayout(false);
			this.tabVideo.ResumeLayout(false);
			this.tabCapturing.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion

		public override void Initialize(clsClientController ClientController)
		{
			base.Initialize(ClientController);

			//Initialize Usercontrols
			uscVideo4.Initalize(_MTClient.FilterGraphController, _MTClient.Filters);
			uscCapture3.Initalize(_MTClient.FilterGraphController, _MTClient.Filters);

		}

		private void tbcVideo_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			if(tbcVideo.SelectedTab == tabVideo)
			{
				_filterGraphController.PreviewWindowChange = uscVideo4.PreviewWindow;
			}
			else if(tbcVideo.SelectedTab == tabCapturing)
			{
				_filterGraphController.PreviewWindowChange = uscCapture3.PreviewWindow;
			}

		}
	}
}
