using System;
using System.Collections;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Windows.Forms;
using MT.Network;

namespace MTServer
{
	/// <summary>
	/// Zusammenfassung fr uscClientCollection.
	/// </summary>
	public class uscClientCollection : System.Windows.Forms.UserControl
	{
		private delegate void NewClientSaveDelegate(string conID,clsClient client);
		private delegate void ClientDisconnectSaveDelegate(string conID);

		//private uscClientStatus _uscClientStatus;
		private int _dy = 90;
		private int _dLocy;
		private int _n = 0;
		private clsBroadcastServer		_net;

		private Hashtable	_ConnectedClients = new Hashtable();
		private System.Windows.Forms.Button btnStopEvents;
		private System.Windows.Forms.Button btnStartEvents;
		private System.Windows.Forms.Button btnStopRecord;
		private System.Windows.Forms.Button btnStartRecord;
		private System.Windows.Forms.Button btnStopPlay;
		private System.Windows.Forms.Button btnStartPlay;
		private System.Windows.Forms.GroupBox grpClientRecord;
		private System.Windows.Forms.GroupBox grpClientPlay;
		private System.Windows.Forms.ImageList imageList1;
		private System.ComponentModel.IContainer components;

		public uscClientCollection()
		{
			// Dieser Aufruf ist fr den Windows Form-Designer erforderlich.
			InitializeComponent();

			// TODO: Initialisierungen nach dem Aufruf von InitializeComponent hinzufgen

		}

		/// <summary> 
		/// Die verwendeten Ressourcen bereinigen.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Vom Komponenten-Designer generierter Code
		/// <summary> 
		/// Erforderliche Methode fr die Designeruntersttzung. 
		/// Der Inhalt der Methode darf nicht mit dem Code-Editor gendert werden.
		/// </summary>
		private void InitializeComponent()
		{
			this.components = new System.ComponentModel.Container();
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(uscClientCollection));
			this.btnStopEvents = new System.Windows.Forms.Button();
			this.btnStartEvents = new System.Windows.Forms.Button();
			this.btnStopRecord = new System.Windows.Forms.Button();
			this.btnStartRecord = new System.Windows.Forms.Button();
			this.btnStopPlay = new System.Windows.Forms.Button();
			this.imageList1 = new System.Windows.Forms.ImageList(this.components);
			this.btnStartPlay = new System.Windows.Forms.Button();
			this.grpClientRecord = new System.Windows.Forms.GroupBox();
			this.grpClientPlay = new System.Windows.Forms.GroupBox();
			this.grpClientRecord.SuspendLayout();
			this.grpClientPlay.SuspendLayout();
			this.SuspendLayout();
			// 
			// btnStopEvents
			// 
			this.btnStopEvents.Location = new System.Drawing.Point(784, 200);
			this.btnStopEvents.Name = "btnStopEvents";
			this.btnStopEvents.Size = new System.Drawing.Size(88, 23);
			this.btnStopEvents.TabIndex = 0;
			this.btnStopEvents.Text = "Stop Events";
			this.btnStopEvents.Visible = false;
			this.btnStopEvents.Click += new System.EventHandler(this.btnStop_Click);
			// 
			// btnStartEvents
			// 
			this.btnStartEvents.Location = new System.Drawing.Point(784, 232);
			this.btnStartEvents.Name = "btnStartEvents";
			this.btnStartEvents.Size = new System.Drawing.Size(88, 23);
			this.btnStartEvents.TabIndex = 1;
			this.btnStartEvents.Text = "Start Events";
			this.btnStartEvents.Visible = false;
			this.btnStartEvents.Click += new System.EventHandler(this.btnStart_Click);
			// 
			// btnStopRecord
			// 
			this.btnStopRecord.Image = ((System.Drawing.Image)(resources.GetObject("btnStopRecord.Image")));
			this.btnStopRecord.ImageAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.btnStopRecord.Location = new System.Drawing.Point(16, 48);
			this.btnStopRecord.Name = "btnStopRecord";
			this.btnStopRecord.Size = new System.Drawing.Size(120, 23);
			this.btnStopRecord.TabIndex = 3;
			this.btnStopRecord.Text = "&Stop Record";
			this.btnStopRecord.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			this.btnStopRecord.Click += new System.EventHandler(this.btnStopRecord_Click);
			// 
			// btnStartRecord
			// 
			this.btnStartRecord.Image = ((System.Drawing.Image)(resources.GetObject("btnStartRecord.Image")));
			this.btnStartRecord.ImageAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.btnStartRecord.Location = new System.Drawing.Point(16, 16);
			this.btnStartRecord.Name = "btnStartRecord";
			this.btnStartRecord.Size = new System.Drawing.Size(120, 23);
			this.btnStartRecord.TabIndex = 2;
			this.btnStartRecord.Text = "&Record Video";
			this.btnStartRecord.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			this.btnStartRecord.Click += new System.EventHandler(this.btnStartRecord_Click);
			// 
			// btnStopPlay
			// 
			this.btnStopPlay.ImageAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.btnStopPlay.ImageIndex = 1;
			this.btnStopPlay.ImageList = this.imageList1;
			this.btnStopPlay.Location = new System.Drawing.Point(16, 48);
			this.btnStopPlay.Name = "btnStopPlay";
			this.btnStopPlay.Size = new System.Drawing.Size(120, 23);
			this.btnStopPlay.TabIndex = 5;
			this.btnStopPlay.Text = "&Stop Play";
			this.btnStopPlay.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			this.btnStopPlay.Click += new System.EventHandler(this.btnStopPlay_Click);
			// 
			// imageList1
			// 
			this.imageList1.ImageSize = new System.Drawing.Size(16, 16);
			this.imageList1.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("imageList1.ImageStream")));
			this.imageList1.TransparentColor = System.Drawing.Color.Red;
			// 
			// btnStartPlay
			// 
			this.btnStartPlay.ImageAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.btnStartPlay.ImageIndex = 0;
			this.btnStartPlay.ImageList = this.imageList1;
			this.btnStartPlay.Location = new System.Drawing.Point(16, 16);
			this.btnStartPlay.Name = "btnStartPlay";
			this.btnStartPlay.Size = new System.Drawing.Size(120, 23);
			this.btnStartPlay.TabIndex = 4;
			this.btnStartPlay.Text = "&Play Video";
			this.btnStartPlay.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			this.btnStartPlay.Click += new System.EventHandler(this.btnStartPlay_Click);
			// 
			// grpClientRecord
			// 
			this.grpClientRecord.Controls.Add(this.btnStopRecord);
			this.grpClientRecord.Controls.Add(this.btnStartRecord);
			this.grpClientRecord.Location = new System.Drawing.Point(744, 8);
			this.grpClientRecord.Name = "grpClientRecord";
			this.grpClientRecord.Size = new System.Drawing.Size(152, 80);
			this.grpClientRecord.TabIndex = 6;
			this.grpClientRecord.TabStop = false;
			this.grpClientRecord.Text = "Clients: Video aufnehmen";
			// 
			// grpClientPlay
			// 
			this.grpClientPlay.Controls.Add(this.btnStopPlay);
			this.grpClientPlay.Controls.Add(this.btnStartPlay);
			this.grpClientPlay.Location = new System.Drawing.Point(744, 96);
			this.grpClientPlay.Name = "grpClientPlay";
			this.grpClientPlay.Size = new System.Drawing.Size(152, 80);
			this.grpClientPlay.TabIndex = 7;
			this.grpClientPlay.TabStop = false;
			this.grpClientPlay.Text = "Clients: Video starten";
			// 
			// uscClientCollection
			// 
			this.Controls.Add(this.grpClientPlay);
			this.Controls.Add(this.grpClientRecord);
			this.Controls.Add(this.btnStartEvents);
			this.Controls.Add(this.btnStopEvents);
			this.Name = "uscClientCollection";
			this.Size = new System.Drawing.Size(904, 256);
			this.grpClientRecord.ResumeLayout(false);
			this.grpClientPlay.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion

		public void Initialize(clsCameras clientCollection, clsBroadcastServer net)
		{
			_net = net;
			clientCollection.NewClient += new clsCameras.NewClientConnectDelegate(_ClientCollection_NewClient);
			clientCollection.ClientDisconnect += new clsCameras.ClientDisconnectDelegate(_ClientCollection_ClientDisconnect);

		}


		private void CreateNewClientControl(string conID, clsClient client)
		{
			lock(this)
			{
				uscClientStatus uClientStatus = new uscClientStatus();
				uClientStatus.Initialize(client);

				this.SuspendLayout();
				// 
				// uscClientStatus1
				// 
				_n++;

				uClientStatus.Location = new System.Drawing.Point(0,((_n-1)*_dy) );
				uClientStatus.Name = "uscClientStatus" + conID;
				uClientStatus.Size = new System.Drawing.Size(760, _dy);
				uClientStatus.TabIndex = 0;
				// 
				// uscClientCollection
				// 
				this.Controls.Add(uClientStatus);
				this._ConnectedClients.Add(uClientStatus.Name,uClientStatus);
				this.Name = "uscClientCollection";
				this.Size = new System.Drawing.Size(896, 614);
				this.ResumeLayout(false);
	
			}

		}


		private void _ClientCollection_NewClient(string conID, clsClient client)
		{
			this.Invoke(new NewClientSaveDelegate(CreateNewClientControl),new Object[] {conID, client});	
		}

		private void DeleteClientControl(string conID)
		{
			lock(this)
			{
				uscClientStatus uClientStatus = this._ConnectedClients["uscClientStatus" + conID] as uscClientStatus;
				if (uClientStatus!= null)
				{
					int _dLocy = uClientStatus.Location.Y;
					this.Controls.Remove(uClientStatus);
					uClientStatus.Dispose();
					this._ConnectedClients.Remove("uscClientStatus" + conID);
					_n--;
				}
				MessageBox.Show("Disconnect" + conID);
				try
				{
					foreach (uscClientStatus curClientStatus in _ConnectedClients.Values)
					{
						if(curClientStatus.Location.Y > _dLocy)
						{
							curClientStatus.Location = new Point(0,_dLocy);
							_dLocy += _dy;
							//Console.WriteLine (curClientStatus.Location.Y.ToString());
						}
					}
				}
				catch( Exception ee )
				{
					Console.WriteLine("Could not arrange the UserControls\r\n" + ee.Message, "MTServer");
				}
																							   
			}																   
		}
		private void _ClientCollection_ClientDisconnect(string conID)
		{
			this.BeginInvoke(new ClientDisconnectSaveDelegate(DeleteClientControl),new Object[] {conID});
		}

		private void btnStop_Click(object sender, System.EventArgs e)
		{
			try
			{
				foreach (uscClientStatus curClientStatus in _ConnectedClients.Values)
				{
					curClientStatus.StopEvents();
				}
			}
			catch( Exception ee )
			{
				Console.WriteLine("Could not arrange the UserControls\r\n" + ee.Message, "MTServer");
			}
			
		}

		private void btnStart_Click(object sender, System.EventArgs e)
		{
			try
			{
				foreach (uscClientStatus curClientStatus in _ConnectedClients.Values)
				{
					curClientStatus.StartEvents();
				}
			}
			catch( Exception ee )
			{
				Console.WriteLine("Could not arrange the UserControls\r\n" + ee.Message, "MTServer");
			}
		
		}

		private void btnStartPlay_Click(object sender, System.EventArgs e)
		{
			_net.Send(new clsNetPlay("",true));
		}

		private void btnStopPlay_Click(object sender, System.EventArgs e)
		{
			_net.Send(new clsNetPlay("",false));
		}

		private void btnStartRecord_Click(object sender, System.EventArgs e)
		{
			_net.Send(new clsNetRecord("",true));
		}

		private void btnStopRecord_Click(object sender, System.EventArgs e)
		{
			_net.Send(new clsNetRecord("",false));
		}
		
	}
}
