using System;
using System.Collections;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Windows.Forms;

namespace MTServer
{
	/// <summary>
	/// Zusammenfassung fr uscClientStatus.
	/// </summary>
	public class uscClientStatus : System.Windows.Forms.UserControl
	{
		private delegate void NewCalibratedSaveDelegate(string conID);

		private clsClient _Client;
		private int LastSecondCount = 0;
		private int			_totalFramesCounted;
		private int			_oldBuffer = 0;
		private int			_fpBuffer;
		private System.Windows.Forms.ProgressBar progClient;
		private System.Windows.Forms.TextBox txtClient;
		private System.Windows.Forms.TextBox txtFPS;
		private System.Windows.Forms.ImageList imglistClientStatus;
		private System.Windows.Forms.GroupBox grpConnected;
		private System.Windows.Forms.TextBox txtMessage;
		private System.Windows.Forms.Timer timerFPS;
		private System.Windows.Forms.ListBox lstMessages;
		private System.Windows.Forms.Label lblMessages;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.Label lblstatCalib;
		private System.Windows.Forms.Label lblstatConnect;
		private System.Windows.Forms.Label lblstatTracker;
		private System.Windows.Forms.Label lblredConnect;
		private System.Windows.Forms.Label lblredCalib;
		private System.Windows.Forms.Label lblredTracker;
		private System.Windows.Forms.Label lblgreenConnect;
		private System.Windows.Forms.Label lblgreenCalib;
		private System.Windows.Forms.Label lblgreenTracker;
		private System.Windows.Forms.Label lblClientName;
		private System.Windows.Forms.Label label3;
		private System.Windows.Forms.Label label4;
		private System.Windows.Forms.Label label5;
		private System.ComponentModel.IContainer components;

		public uscClientStatus()
		{
			// Dieser Aufruf ist fr den Windows Form-Designer erforderlich.
			InitializeComponent();

			// TODO: Initialisierungen nach dem Aufruf von InitializeComponent hinzufgen
			Console.WriteLine("This is Thread {0}", System.Threading.Thread.CurrentThread.Name);

		}

		/// <summary> 
		/// Die verwendeten Ressourcen bereinigen.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			Console.WriteLine("This is Thread {0}", System.Threading.Thread.CurrentThread.Name);
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Vom Komponenten-Designer generierter Code
		/// <summary> 
		/// Erforderliche Methode fr die Designeruntersttzung. 
		/// Der Inhalt der Methode darf nicht mit dem Code-Editor gendert werden.
		/// </summary>
		private void InitializeComponent()
		{
			this.components = new System.ComponentModel.Container();
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(uscClientStatus));
			this.progClient = new System.Windows.Forms.ProgressBar();
			this.txtClient = new System.Windows.Forms.TextBox();
			this.txtFPS = new System.Windows.Forms.TextBox();
			this.imglistClientStatus = new System.Windows.Forms.ImageList(this.components);
			this.grpConnected = new System.Windows.Forms.GroupBox();
			this.lblgreenTracker = new System.Windows.Forms.Label();
			this.lblgreenCalib = new System.Windows.Forms.Label();
			this.lblgreenConnect = new System.Windows.Forms.Label();
			this.lblredTracker = new System.Windows.Forms.Label();
			this.lblredCalib = new System.Windows.Forms.Label();
			this.lblredConnect = new System.Windows.Forms.Label();
			this.lblstatCalib = new System.Windows.Forms.Label();
			this.lblstatConnect = new System.Windows.Forms.Label();
			this.lblstatTracker = new System.Windows.Forms.Label();
			this.txtMessage = new System.Windows.Forms.TextBox();
			this.timerFPS = new System.Windows.Forms.Timer(this.components);
			this.lstMessages = new System.Windows.Forms.ListBox();
			this.lblMessages = new System.Windows.Forms.Label();
			this.label1 = new System.Windows.Forms.Label();
			this.label2 = new System.Windows.Forms.Label();
			this.lblClientName = new System.Windows.Forms.Label();
			this.label3 = new System.Windows.Forms.Label();
			this.label4 = new System.Windows.Forms.Label();
			this.label5 = new System.Windows.Forms.Label();
			this.grpConnected.SuspendLayout();
			this.SuspendLayout();
			// 
			// progClient
			// 
			this.progClient.Location = new System.Drawing.Point(0, 60);
			this.progClient.Maximum = 1000000;
			this.progClient.Name = "progClient";
			this.progClient.Size = new System.Drawing.Size(160, 16);
			this.progClient.Step = 1;
			this.progClient.TabIndex = 1;
			this.progClient.Visible = false;
			// 
			// txtClient
			// 
			this.txtClient.BackColor = System.Drawing.Color.White;
			this.txtClient.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.txtClient.Location = new System.Drawing.Point(1, 20);
			this.txtClient.Name = "txtClient";
			this.txtClient.ReadOnly = true;
			this.txtClient.Size = new System.Drawing.Size(151, 20);
			this.txtClient.TabIndex = 3;
			this.txtClient.Text = "Client 1";
			// 
			// txtFPS
			// 
			this.txtFPS.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.txtFPS.Location = new System.Drawing.Point(272, 20);
			this.txtFPS.Name = "txtFPS";
			this.txtFPS.ReadOnly = true;
			this.txtFPS.Size = new System.Drawing.Size(72, 20);
			this.txtFPS.TabIndex = 4;
			this.txtFPS.Text = "0 fps";
			// 
			// imglistClientStatus
			// 
			this.imglistClientStatus.ColorDepth = System.Windows.Forms.ColorDepth.Depth32Bit;
			this.imglistClientStatus.ImageSize = new System.Drawing.Size(16, 16);
			this.imglistClientStatus.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("imglistClientStatus.ImageStream")));
			this.imglistClientStatus.TransparentColor = System.Drawing.Color.Blue;
			// 
			// grpConnected
			// 
			this.grpConnected.Controls.Add(this.lblgreenTracker);
			this.grpConnected.Controls.Add(this.lblgreenCalib);
			this.grpConnected.Controls.Add(this.lblgreenConnect);
			this.grpConnected.Controls.Add(this.lblredTracker);
			this.grpConnected.Controls.Add(this.lblredCalib);
			this.grpConnected.Controls.Add(this.lblredConnect);
			this.grpConnected.Controls.Add(this.lblstatCalib);
			this.grpConnected.Controls.Add(this.lblstatConnect);
			this.grpConnected.Controls.Add(this.lblstatTracker);
			this.grpConnected.Location = new System.Drawing.Point(349, 12);
			this.grpConnected.Name = "grpConnected";
			this.grpConnected.RightToLeft = System.Windows.Forms.RightToLeft.No;
			this.grpConnected.Size = new System.Drawing.Size(128, 64);
			this.grpConnected.TabIndex = 5;
			this.grpConnected.TabStop = false;
			this.grpConnected.Text = "Status";
			// 
			// lblgreenTracker
			// 
			this.lblgreenTracker.Enabled = false;
			this.lblgreenTracker.Image = ((System.Drawing.Image)(resources.GetObject("lblgreenTracker.Image")));
			this.lblgreenTracker.Location = new System.Drawing.Point(24, 46);
			this.lblgreenTracker.Name = "lblgreenTracker";
			this.lblgreenTracker.Size = new System.Drawing.Size(16, 16);
			this.lblgreenTracker.TabIndex = 11;
			// 
			// lblgreenCalib
			// 
			this.lblgreenCalib.Enabled = false;
			this.lblgreenCalib.Image = ((System.Drawing.Image)(resources.GetObject("lblgreenCalib.Image")));
			this.lblgreenCalib.Location = new System.Drawing.Point(24, 29);
			this.lblgreenCalib.Name = "lblgreenCalib";
			this.lblgreenCalib.Size = new System.Drawing.Size(16, 16);
			this.lblgreenCalib.TabIndex = 10;
			// 
			// lblgreenConnect
			// 
			this.lblgreenConnect.Enabled = false;
			this.lblgreenConnect.Image = ((System.Drawing.Image)(resources.GetObject("lblgreenConnect.Image")));
			this.lblgreenConnect.Location = new System.Drawing.Point(24, 13);
			this.lblgreenConnect.Name = "lblgreenConnect";
			this.lblgreenConnect.Size = new System.Drawing.Size(16, 16);
			this.lblgreenConnect.TabIndex = 9;
			// 
			// lblredTracker
			// 
			this.lblredTracker.Image = ((System.Drawing.Image)(resources.GetObject("lblredTracker.Image")));
			this.lblredTracker.Location = new System.Drawing.Point(6, 46);
			this.lblredTracker.Name = "lblredTracker";
			this.lblredTracker.Size = new System.Drawing.Size(16, 16);
			this.lblredTracker.TabIndex = 8;
			// 
			// lblredCalib
			// 
			this.lblredCalib.Image = ((System.Drawing.Image)(resources.GetObject("lblredCalib.Image")));
			this.lblredCalib.Location = new System.Drawing.Point(6, 29);
			this.lblredCalib.Name = "lblredCalib";
			this.lblredCalib.Size = new System.Drawing.Size(16, 16);
			this.lblredCalib.TabIndex = 7;
			// 
			// lblredConnect
			// 
			this.lblredConnect.Image = ((System.Drawing.Image)(resources.GetObject("lblredConnect.Image")));
			this.lblredConnect.Location = new System.Drawing.Point(6, 13);
			this.lblredConnect.Name = "lblredConnect";
			this.lblredConnect.Size = new System.Drawing.Size(16, 16);
			this.lblredConnect.TabIndex = 6;
			// 
			// lblstatCalib
			// 
			this.lblstatCalib.ImageAlign = System.Drawing.ContentAlignment.MiddleLeft;
			this.lblstatCalib.Location = new System.Drawing.Point(44, 30);
			this.lblstatCalib.Name = "lblstatCalib";
			this.lblstatCalib.Size = new System.Drawing.Size(80, 16);
			this.lblstatCalib.TabIndex = 2;
			this.lblstatCalib.Text = "Kalibriert";
			// 
			// lblstatConnect
			// 
			this.lblstatConnect.ImageAlign = System.Drawing.ContentAlignment.MiddleLeft;
			this.lblstatConnect.Location = new System.Drawing.Point(45, 13);
			this.lblstatConnect.Name = "lblstatConnect";
			this.lblstatConnect.Size = new System.Drawing.Size(64, 16);
			this.lblstatConnect.TabIndex = 3;
			this.lblstatConnect.Text = "Verbunden";
			// 
			// lblstatTracker
			// 
			this.lblstatTracker.ImageAlign = System.Drawing.ContentAlignment.MiddleLeft;
			this.lblstatTracker.Location = new System.Drawing.Point(43, 46);
			this.lblstatTracker.Name = "lblstatTracker";
			this.lblstatTracker.Size = new System.Drawing.Size(72, 16);
			this.lblstatTracker.TabIndex = 5;
			this.lblstatTracker.Text = "Tracker aktiv";
			// 
			// txtMessage
			// 
			this.txtMessage.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.txtMessage.Location = new System.Drawing.Point(272, 44);
			this.txtMessage.Name = "txtMessage";
			this.txtMessage.ReadOnly = true;
			this.txtMessage.Size = new System.Drawing.Size(72, 20);
			this.txtMessage.TabIndex = 6;
			this.txtMessage.Text = "0";
			// 
			// timerFPS
			// 
			this.timerFPS.Interval = 1000;
			this.timerFPS.Tick += new System.EventHandler(this.timerFPS_Tick);
			// 
			// lstMessages
			// 
			this.lstMessages.Location = new System.Drawing.Point(487, 20);
			this.lstMessages.Name = "lstMessages";
			this.lstMessages.Size = new System.Drawing.Size(192, 56);
			this.lstMessages.TabIndex = 7;
			// 
			// lblMessages
			// 
			this.lblMessages.Location = new System.Drawing.Point(485, 4);
			this.lblMessages.Name = "lblMessages";
			this.lblMessages.Size = new System.Drawing.Size(128, 14);
			this.lblMessages.TabIndex = 8;
			this.lblMessages.Text = "Meldungen:";
			// 
			// label1
			// 
			this.label1.ImageAlign = System.Drawing.ContentAlignment.MiddleLeft;
			this.label1.ImageIndex = 3;
			this.label1.ImageList = this.imglistClientStatus;
			this.label1.Location = new System.Drawing.Point(389, 36);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(80, 16);
			this.label1.TabIndex = 0;
			this.label1.Text = "Verbunden";
			this.label1.TextAlign = System.Drawing.ContentAlignment.TopRight;
			this.label1.Visible = false;
			// 
			// label2
			// 
			this.label2.ImageAlign = System.Drawing.ContentAlignment.MiddleLeft;
			this.label2.ImageIndex = 7;
			this.label2.ImageList = this.imglistClientStatus;
			this.label2.Location = new System.Drawing.Point(389, 52);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(73, 16);
			this.label2.TabIndex = 2;
			this.label2.Text = "Kalibriert";
			this.label2.TextAlign = System.Drawing.ContentAlignment.TopRight;
			this.label2.Visible = false;
			// 
			// lblClientName
			// 
			this.lblClientName.Location = new System.Drawing.Point(0, 4);
			this.lblClientName.Name = "lblClientName";
			this.lblClientName.Size = new System.Drawing.Size(128, 14);
			this.lblClientName.TabIndex = 9;
			this.lblClientName.Text = "Client Name:";
			// 
			// label3
			// 
			this.label3.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
			this.label3.Location = new System.Drawing.Point(0, 86);
			this.label3.Name = "label3";
			this.label3.Size = new System.Drawing.Size(680, 2);
			this.label3.TabIndex = 11;
			// 
			// label4
			// 
			this.label4.Location = new System.Drawing.Point(160, 20);
			this.label4.Name = "label4";
			this.label4.Size = new System.Drawing.Size(112, 13);
			this.label4.TabIndex = 12;
			this.label4.Text = "Frames per Second:";
			// 
			// label5
			// 
			this.label5.Location = new System.Drawing.Point(160, 44);
			this.label5.Name = "label5";
			this.label5.Size = new System.Drawing.Size(120, 13);
			this.label5.TabIndex = 13;
			this.label5.Text = "Feature Point Frames:";
			// 
			// uscClientStatus
			// 
			this.Controls.Add(this.label3);
			this.Controls.Add(this.lblClientName);
			this.Controls.Add(this.lstMessages);
			this.Controls.Add(this.lblMessages);
			this.Controls.Add(this.txtMessage);
			this.Controls.Add(this.grpConnected);
			this.Controls.Add(this.txtFPS);
			this.Controls.Add(this.txtClient);
			this.Controls.Add(this.progClient);
			this.Controls.Add(this.label1);
			this.Controls.Add(this.label2);
			this.Controls.Add(this.label5);
			this.Controls.Add(this.label4);
			this.Name = "uscClientStatus";
			this.Size = new System.Drawing.Size(688, 90);
			this.grpConnected.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion

		public void Initialize(clsClient client)
		{
			_Client = client;
			this.txtClient.Text = _Client.Host;
			_Client.TotalFramesCounted +=new MTServer.clsClient.TotalFramesCountedDelegate(_Client_TotalFramesCounted);
			_Client.Message += new MTServer.clsClient.MessageDelegate(_Client_Message);
			_Client.ErrorMessage  += new MTServer.clsClient.ErrorMessageDelegate(_Client_ErrorMessage);
			_Client.CalibratedClient += new MTServer.clsClient.CalibratedClientDelegate(_Client_Calibrated);
			this.lblredConnect.Enabled = false;
			this.lblgreenConnect.Enabled = true;
			timerFPS.Enabled = true;
		}

		public void StopEvents()
		{
			timerFPS.Enabled = false;
			_Client.TotalFramesCounted -=new MTServer.clsClient.TotalFramesCountedDelegate(_Client_TotalFramesCounted);
			_Client.Message -= new MTServer.clsClient.MessageDelegate(_Client_Message);
			_Client.ErrorMessage  -= new MTServer.clsClient.ErrorMessageDelegate(_Client_ErrorMessage);
			_Client.CalibratedClient -= new MTServer.clsClient.CalibratedClientDelegate(_Client_Calibrated);
		}

		public void StartEvents()
		{
			_Client.TotalFramesCounted +=new MTServer.clsClient.TotalFramesCountedDelegate(_Client_TotalFramesCounted);
			_Client.Message += new MTServer.clsClient.MessageDelegate(_Client_Message);
			_Client.ErrorMessage  += new MTServer.clsClient.ErrorMessageDelegate(_Client_ErrorMessage);
			_Client.CalibratedClient += new MTServer.clsClient.CalibratedClientDelegate(_Client_Calibrated);
			timerFPS.Enabled = true;

		}

		private void _Client_TotalFramesCounted(int totalFramesCounted, int FPBuffer)
		{
			_fpBuffer = FPBuffer;
			_totalFramesCounted = totalFramesCounted;

		}

		private void _Client_Calibrated(string Message)
		{
			this.Invoke(new NewCalibratedSaveDelegate(ClientCalibrated),new Object[] {Message});
		}

		private void ClientCalibrated(string conID)
		{
			this.lstMessages.Items.Add( "Calibration Message: " + conID );
			this.lblredCalib.Enabled = false;
			this.lblgreenCalib.Enabled = true;
		}

		private void _Client_Message(string Message)
		{
			this.lstMessages.Items.Add( "Message: " + Message );
			this.lstMessages.SelectedIndex = this.lstMessages.Items.Count -1;
		}

		private void _Client_ErrorMessage(string ErrorMessage)
		{
			this.lstMessages.Items.Add( "ErrorMessage: " + ErrorMessage );
			this.lstMessages.SelectedIndex = this.lstMessages.Items.Count -1;
		}

		private void timerFPS_Tick(object sender, System.EventArgs e)
		{
			this.txtMessage.Text = "" + _fpBuffer.ToString();
			//this.progClient.Value = _fpBuffer;

			int totalCountedThisSecond = _totalFramesCounted - LastSecondCount;
			LastSecondCount = _totalFramesCounted;
			this.txtFPS.Text = "" + totalCountedThisSecond + " fps";
			if(_oldBuffer != _fpBuffer)
			{
				this.lblredTracker.Enabled = false;
				this.lblgreenTracker.Enabled = true;
			}
			else
			{
				this.lblredTracker.Enabled = true;
				this.lblgreenTracker.Enabled = false;
			}

			
			_oldBuffer = _fpBuffer;
		}

	}
}
