#include "SWstring.h"


SWstring::SWstring()
{
	_s = new char[_standardsize];
	_cursize = _standardsize;
	this->clear();
}

SWstring::SWstring( int StartSize )
{
	_s = new char[StartSize];
	_cursize = StartSize;
	this->clear();
}

SWstring::SWstring(const char* Text)
{
	_s = new char[_standardsize];
//	this +=  Text;
	concat(Text);
}


SWstring&
SWstring::concat(SWstring &s2)
{
	if (_curused + s2._curused >=_cursize)
	{	resize(_cursize*2);
	}

	//laufvariabeln initiieren
	char *s1i = &_s[_curused];
	char *s2i = &s2._s[s2._curused];

	while (*s2i!='\0') {*s1i++ = *s2i++; _curused++;}
	*s1i='\0';

	return *this;
}

SWstring&
SWstring::concat(const char * a)
{
	//laufvariabeln initiieren
	char *si = &_s[_curused];

	while (*a!='\0') {
		if (_curused>=_cursize-1)
		{
			*si = '\0';
			resize(_cursize*2);
			si = &_s[_curused];
		}
	
		*si++ = *a++; 
		_curused++;	
	}
	*si = '\0';

	return *this;
	
}

void
SWstring::clear( void)
{	
	_curused = 0;
	*_s = '\0';
	return;
}

//Resize may only be called with sizes larger than the current size
void
SWstring::resize(int size)
{
	assert(size > _cursize);
	char * temp = _s;
	_s = new char[size];
	_cursize = size;

	//alten SWstring kopieren
	for(int i = 0; i<_curused;i++)
		_s[i] = temp[i];
	
	_s[i] = '\0';

	delete [] temp;

}
