// Definition of the ClientSocket class

#ifndef ClientSocket_class
#define ClientSocket_class

#include "Socket.h"
#include "../SWstring.h"


class ClientSocket : private Socket {
 public:
    
    ClientSocket ( std::string host, int port );
    virtual ~ClientSocket(){};
    
    const ClientSocket& operator << ( const std::string& );
    const ClientSocket& operator >> ( std::string& );

	void flush();
    
private: 


	//Buffers network information either until
	//buffer full or a flush command arrives.
	SWstring		_netbuffer;


	const static int _maxBUFFER = 1024;

};




#endif
